/* widgets.c: widget tree data
 * file created 1997/09/11 22:37:07 by gubi (dynamic)
*/
#include	"rcs.h"
RCS_ID("$Id$")
RCS_KEY(Template, "$Template: widgetsc.tpl 1997 gubi $")

#define		__widgets_c__

#include	"widgets.h"
#include	"ufunc.h"



/* --- internal widget data prototypes --- */
static	gb_wdat_window_S	_Wm_Chooser;
static	gb_wdat_notebook_S	_Window_Border;
static	gb_wdat_v_box_S	_V_Box_1;
static	gb_wdat_frame_S	_Frame_1;
static	gb_wdat_v_box_S	_V_Box_2;
static	gb_wdat_h_box_S	_H_Box_1;
static	gb_wdat_scrolled_window_S	_Scrolled_Window_1;
static	gb_wdat_h_box_S	_Button_Box;
static	gb_wdat_h_box_S	_H_Box_2;
static	gb_wdat_button_S	_Go_Button;
static	gb_wdat_button_S	_Config_Button;
static	gb_wdat_button_S	_Exit_Button;




/* --- widget tree roots --- */


/* this is just an array pointing to all window data structures
*/
gb_wdat_window_S	*gb_window_list[]={
	&_Wm_Chooser,	/* "WM_Chooser" */
};


/* number of widget trees we have
*/
guint   gb_number_of_windows=sizeof(gb_window_list)/sizeof(gb_wdat_window_S*);



/* --- widget data declaration --- */
gb_signal_handler_S	_Wm_Chooser_handler[] = {
	{	1	/* connect_options */,
		0	/* handler_id */,
		"destroy"	/* signal_name */,
		GTK_SIGNAL_FUNC(gtk_exit)
			/* handler_func */,
		{ NULL }	/* data */,
	},
	{	1	/* connect_options */,
		0	/* handler_id */,
		"configure_event"	/* signal_name */,
		GTK_SIGNAL_FUNC(wm_chooser_configure)
			/* handler_func */,
		{ NULL }	/* data */,
	},
	{	0, 0, NULL, NULL, { NULL }	}
};
static	gb_wdat_window_S	_Wm_Chooser = {
	GB_WIDGET_WINDOW
			/* type */,
	NULL		/* widget */,
	FALSE		/* gfree_on_destroy */,
	NULL		/* clone */,
	GB_CAST(wdat_base, &_Window_Border)
			/* next */,
	NULL		/* keyed_data_stack */,
	_Wm_Chooser_handler
			/* signal_handler_stack */,
	NULL		/* user_data */,
	NULL		/* parent */,
	NULL		/* linkage */,
	""		/* widget_name */,
	0x88		/* flags */,
	-1		/* x */,
	-1		/* y */,
	320		/* width */,
	240		/* height */,
	0		/* border_width */,
	"WM_Chooser"	/* title */,
	GTK_WINDOW_TOPLEVEL
			/* win_type */,
	GTK_WIN_POS_CENTER
			/* win_position */,
	0x2		/* resize_policy */,
	TRUE		/* auto_build */,
};
gb_wdat_window_S	*const Wm_Chooser	= &_Wm_Chooser;
static	gb_wdat_notebook_S	_Window_Border = {
	GB_WIDGET_NOTEBOOK
			/* type */,
	NULL		/* widget */,
	FALSE		/* gfree_on_destroy */,
	NULL		/* clone */,
	GB_CAST(wdat_base, &_V_Box_1)
			/* next */,
	NULL		/* keyed_data_stack */,
	NULL		/* signal_handler_stack */,
	NULL		/* user_data */,
	GB_CAST(wdat_base, &_Wm_Chooser)
			/* parent */,
	NULL		/* linkage */,
	""		/* widget_name */,
	0x88		/* flags */,
	-1		/* x */,
	-1		/* y */,
	0		/* width */,
	0		/* height */,
	0		/* border_width */,
	0		/* initial_page */,
	GTK_POS_TOP	/* tab_position */,
	TRUE		/* show_tabs */,
	TRUE		/* show_border */,
};
gb_wdat_notebook_S	*const Window_Border	= &_Window_Border;
gb_linkage_notebook_S	_V_Box_1_linkage = {
	GB_LINKAGE_NOTEBOOK
			/* type */,
	GB_PAGE_APPEND	/* page_linkage */,
	0		/* position */,
	" Window Manager Chooser "
			/* tab_label */,
	0.5		/* tab_xalign */,
	0.5		/* tab_yalign */,
	0		/* tab_xpad */,
	0		/* tab_ypad */,
};
static	gb_wdat_v_box_S	_V_Box_1 = {
	GB_WIDGET_V_BOX
			/* type */,
	NULL		/* widget */,
	FALSE		/* gfree_on_destroy */,
	NULL		/* clone */,
	GB_CAST(wdat_base, &_Frame_1)
			/* next */,
	NULL		/* keyed_data_stack */,
	NULL		/* signal_handler_stack */,
	NULL		/* user_data */,
	GB_CAST(wdat_base, &_Window_Border)
			/* parent */,
	GB_CAST(any, &_V_Box_1_linkage)
			/* linkage */,
	""		/* widget_name */,
	0x88		/* flags */,
	-1		/* x */,
	-1		/* y */,
	0		/* width */,
	0		/* height */,
	0		/* border_width */,
	FALSE		/* homogeneous */,
	5		/* spacing */,
};
gb_wdat_v_box_S	*const V_Box_1	= &_V_Box_1;
static	gb_wdat_frame_S	_Frame_1 = {
	GB_WIDGET_FRAME
			/* type */,
	NULL		/* widget */,
	FALSE		/* gfree_on_destroy */,
	NULL		/* clone */,
	GB_CAST(wdat_base, &_V_Box_2)
			/* next */,
	NULL		/* keyed_data_stack */,
	NULL		/* signal_handler_stack */,
	NULL		/* user_data */,
	GB_CAST(wdat_base, &_V_Box_1)
			/* parent */,
	NULL		/* linkage */,
	""		/* widget_name */,
	0x88		/* flags */,
	-1		/* x */,
	-1		/* y */,
	0		/* width */,
	0		/* height */,
	5		/* border_width */,
	""		/* label */,
	GTK_SHADOW_IN	/* shadow_type */,
	1.		/* xalign */,
	0.		/* yalign */,
};
gb_wdat_frame_S	*const Frame_1	= &_Frame_1;
static	gb_wdat_v_box_S	_V_Box_2 = {
	GB_WIDGET_V_BOX
			/* type */,
	NULL		/* widget */,
	FALSE		/* gfree_on_destroy */,
	NULL		/* clone */,
	GB_CAST(wdat_base, &_H_Box_1)
			/* next */,
	NULL		/* keyed_data_stack */,
	NULL		/* signal_handler_stack */,
	NULL		/* user_data */,
	GB_CAST(wdat_base, &_Frame_1)
			/* parent */,
	NULL		/* linkage */,
	""		/* widget_name */,
	0x88		/* flags */,
	-1		/* x */,
	-1		/* y */,
	0		/* width */,
	0		/* height */,
	5		/* border_width */,
	FALSE		/* homogeneous */,
	5		/* spacing */,
};
gb_wdat_v_box_S	*const V_Box_2	= &_V_Box_2;
static	gb_wdat_h_box_S	_H_Box_1 = {
	GB_WIDGET_H_BOX
			/* type */,
	NULL		/* widget */,
	FALSE		/* gfree_on_destroy */,
	NULL		/* clone */,
	GB_CAST(wdat_base, &_Scrolled_Window_1)
			/* next */,
	NULL		/* keyed_data_stack */,
	NULL		/* signal_handler_stack */,
	NULL		/* user_data */,
	GB_CAST(wdat_base, &_V_Box_2)
			/* parent */,
	NULL		/* linkage */,
	""		/* widget_name */,
	0x88		/* flags */,
	-1		/* x */,
	-1		/* y */,
	0		/* width */,
	0		/* height */,
	5		/* border_width */,
	FALSE		/* homogeneous */,
	5		/* spacing */,
};
gb_wdat_h_box_S	*const H_Box_1	= &_H_Box_1;
static	gb_wdat_scrolled_window_S	_Scrolled_Window_1 = {
	GB_WIDGET_SCROLLED_WINDOW
			/* type */,
	NULL		/* widget */,
	FALSE		/* gfree_on_destroy */,
	NULL		/* clone */,
	GB_CAST(wdat_base, &_Button_Box)
			/* next */,
	NULL		/* keyed_data_stack */,
	NULL		/* signal_handler_stack */,
	NULL		/* user_data */,
	GB_CAST(wdat_base, &_H_Box_1)
			/* parent */,
	NULL		/* linkage */,
	""		/* widget_name */,
	0x88		/* flags */,
	-1		/* x */,
	-1		/* y */,
	0		/* width */,
	0		/* height */,
	0		/* border_width */,
	GTK_POLICY_AUTOMATIC
			/* hscrollbar_policy */,
	GTK_POLICY_AUTOMATIC
			/* vscrollbar_policy */,
};
gb_wdat_scrolled_window_S	*const Scrolled_Window_1	= &_Scrolled_Window_1;
static	gb_wdat_h_box_S	_Button_Box = {
	GB_WIDGET_H_BOX
			/* type */,
	NULL		/* widget */,
	FALSE		/* gfree_on_destroy */,
	NULL		/* clone */,
	GB_CAST(wdat_base, &_H_Box_2)
			/* next */,
	NULL		/* keyed_data_stack */,
	NULL		/* signal_handler_stack */,
	NULL		/* user_data */,
	GB_CAST(wdat_base, &_Scrolled_Window_1)
			/* parent */,
	NULL		/* linkage */,
	""		/* widget_name */,
	0x88		/* flags */,
	-1		/* x */,
	-1		/* y */,
	0		/* width */,
	0		/* height */,
	0		/* border_width */,
	TRUE		/* homogeneous */,
	0		/* spacing */,
};
gb_wdat_h_box_S	*const Button_Box	= &_Button_Box;
gb_linkage_box_S	_H_Box_2_linkage = {
	GB_LINKAGE_BOX
			/* type */,
	GTK_PACK_START	/* pack_type */,
	0x4		/* attach */,
	0		/* padding */,
};
static	gb_wdat_h_box_S	_H_Box_2 = {
	GB_WIDGET_H_BOX
			/* type */,
	NULL		/* widget */,
	FALSE		/* gfree_on_destroy */,
	NULL		/* clone */,
	GB_CAST(wdat_base, &_Go_Button)
			/* next */,
	NULL		/* keyed_data_stack */,
	NULL		/* signal_handler_stack */,
	NULL		/* user_data */,
	GB_CAST(wdat_base, &_V_Box_2)
			/* parent */,
	GB_CAST(any, &_H_Box_2_linkage)
			/* linkage */,
	""		/* widget_name */,
	0x88		/* flags */,
	-1		/* x */,
	-1		/* y */,
	0		/* width */,
	0		/* height */,
	10		/* border_width */,
	TRUE		/* homogeneous */,
	5		/* spacing */,
};
gb_wdat_h_box_S	*const H_Box_2	= &_H_Box_2;
gb_signal_handler_S	_Go_Button_handler[] = {
	{	1	/* connect_options */,
		0	/* handler_id */,
		"clicked"	/* signal_name */,
		GTK_SIGNAL_FUNC(go_button_click)
			/* handler_func */,
		{ NULL }	/* data */,
	},
	{	0, 0, NULL, NULL, { NULL }	}
};
static	gb_wdat_button_S	_Go_Button = {
	GB_WIDGET_BUTTON
			/* type */,
	NULL		/* widget */,
	FALSE		/* gfree_on_destroy */,
	NULL		/* clone */,
	GB_CAST(wdat_base, &_Config_Button)
			/* next */,
	NULL		/* keyed_data_stack */,
	_Go_Button_handler
			/* signal_handler_stack */,
	NULL		/* user_data */,
	GB_CAST(wdat_base, &_H_Box_2)
			/* parent */,
	NULL		/* linkage */,
	""		/* widget_name */,
	0x3888		/* flags */,
	-1		/* x */,
	-1		/* y */,
	0		/* width */,
	0		/* height */,
	0		/* border_width */,
	"GO !"		/* label */,
};
gb_wdat_button_S	*const Go_Button	= &_Go_Button;
static	gb_wdat_button_S	_Config_Button = {
	GB_WIDGET_BUTTON
			/* type */,
	NULL		/* widget */,
	FALSE		/* gfree_on_destroy */,
	NULL		/* clone */,
	GB_CAST(wdat_base, &_Exit_Button)
			/* next */,
	NULL		/* keyed_data_stack */,
	NULL		/* signal_handler_stack */,
	NULL		/* user_data */,
	GB_CAST(wdat_base, &_H_Box_2)
			/* parent */,
	NULL		/* linkage */,
	""		/* widget_name */,
	0x2888		/* flags */,
	-1		/* x */,
	-1		/* y */,
	0		/* width */,
	0		/* height */,
	0		/* border_width */,
	" Configure "	/* label */,
};
gb_wdat_button_S	*const Config_Button	= &_Config_Button;
gb_signal_handler_S	_Exit_Button_handler[] = {
	{	1	/* connect_options */,
		0	/* handler_id */,
		"clicked"	/* signal_name */,
		GTK_SIGNAL_FUNC(gtk_exit)
			/* handler_func */,
		{ NULL }	/* data */,
	},
	{	0, 0, NULL, NULL, { NULL }	}
};
static	gb_wdat_button_S	_Exit_Button = {
	GB_WIDGET_BUTTON
			/* type */,
	NULL		/* widget */,
	FALSE		/* gfree_on_destroy */,
	NULL		/* clone */,
	NULL		/* next */,
	NULL		/* keyed_data_stack */,
	_Exit_Button_handler
			/* signal_handler_stack */,
	NULL		/* user_data */,
	GB_CAST(wdat_base, &_H_Box_2)
			/* parent */,
	NULL		/* linkage */,
	""		/* widget_name */,
	0x2088		/* flags */,
	-1		/* x */,
	-1		/* y */,
	0		/* width */,
	0		/* height */,
	0		/* border_width */,
	"Exit"		/* label */,
};
gb_wdat_button_S	*const Exit_Button	= &_Exit_Button;

